---
title: Set By State Override Rate
slug: api-documentation/set-by-state-override-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "lmin-Ni-j27NzNHpf1zBu",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate"
      }
    ],
    "name": "Set By State Override Rate",
    "description": "<p>This endpoint is used to Set By State Override Rate.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n<li><code>dmc-shipping-calc.update</code>\nAuthorized roles:</li>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "",
          "customType": "ByStateOverrideRate[]",
          "schema": [
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "stateCode",
              "kind": "required",
              "type": "string",
              "description": "",
              "minLength": 1
            },
            {
              "name": "weightFactor",
              "kind": "required",
              "type": "number",
              "description": ""
            },
            {
              "name": "basicRate",
              "kind": "optional",
              "type": "number",
              "description": ""
            },
            {
              "name": "premiumRate",
              "kind": "required",
              "type": "number",
              "description": ""
            }
          ],
          "modelRef": "#/components/schemas/ByStateOverrideRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successfully set the state override rate",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "201",
        "description": "Successfully set the state override rate",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "H9SSx07WAGUNXMWeTfjS_",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '[\n     {\n     \"siteIds\": [],\n     \"stateCode\": \"\",\n     \"weightFactor\": \"\",\n     \"premiumRate\": \"\"\n     }\n     ]'"
        },
        {
          "id": "IUN2kq_Q_HiO2qmv5kY4s",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify([\n   {\n      \"siteIds\": [],\n      \"stateCode\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "5QiIEE77-lwtFbYgO8F9o",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump([\n   {\n      \"siteIds\": [],\n      \"stateCode\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "m1nM375b_JxQvY8I-4BhY",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/by-state-rate\"\n\npayload = json.dumps([\n   {\n      \"siteIds\": [],\n      \"stateCode\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "H9SSx07WAGUNXMWeTfjS_"
    },
    "results": {
      "languages": [
        {
          "id": "u2z5Wh40PSSpYeex8Hmd6",
          "language": "200",
          "code": "// Successfully set the state override rate\n"
        },
        {
          "id": "IjDTP-7HHAa0uym8F04-q",
          "language": "201",
          "code": "// Successfully set the state override rate\n"
        },
        {
          "id": "qVlHzkqSUb0_OsnFyEbDn",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "TKndLGXZMcNgzr3FC3xOX",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "u2z5Wh40PSSpYeex8Hmd6"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}